get_evidence
curl --request POST \
--url https://portal.quoindata.com/api/v2/evidence-lookups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_refs": [
"<string>"
],
"include_verification_routes": true
}
'import requests
url = "https://portal.quoindata.com/api/v2/evidence-lookups"
payload = {
"source_refs": ["<string>"],
"include_verification_routes": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({source_refs: ['<string>'], include_verification_routes: true})
};
fetch('https://portal.quoindata.com/api/v2/evidence-lookups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": {
"evidence": [
{
"source_ref": "<string>",
"outcome": "ok",
"source_id": "<string>",
"source_release_id": "<string>",
"source_record_key": "<string>",
"source_row_sha256": "<string>",
"snapshot_retrieved_at": "<string>",
"source_updated_at": "<string>",
"data_effective_at": "<string>",
"source_kind": "canonical_identifier",
"entity_ref": "<string>",
"claim": {
"entity_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"authority_uid": "<string>",
"namespace": "<string>",
"identifier_kind": "<string>",
"raw_value": "<string>"
}
}
],
"verification_policy": "<string>",
"verification_routes": [
{}
]
},
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}API Reference
get_evidence
POST
/
api
/
v2
/
evidence-lookups
get_evidence
Authorizations
Send Authorization: Bearer qk_… using an API key created in the Quoin Developer Portal.
Headers
Unique key for one logical POST. Reuse is replay-safe or returns a conflict.
Required string length:
1 - 256Body
application/json
Response
Canonical response envelope.
Allowed value:
"quoin-v2"Required string length:
1 - 512Required string length:
1 - 256Available options:
ok, partial, error Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes